<?php ?>
<div class="wrap linkator">
	<div class="left">
		<h2>Линкатор &mdash; <a href="?page=wp_mfc_linkator&searchlink=1">Поиск ссылок</a></h2>
		<form method="post" id="linkator-search">
			<table class="form-table">
				<tbody>
					<tr>
						<th scope="row"><label>Укажите фразу для поиска</label></th>
						<td>
							<input type="text" name="phrase" value="<?php echo get_option('wp-mfc-linkator-search', '')?>" style="width:100%;">
							<div class="searchinya"></div>
						</td>
					</tr>
					<tr>
						<th scope="row"><label>Дополнительные слова</label></th>
						<td>
							<input type="text" name="predlog" value="<?php echo get_option('wp-mfc-linkator-predlog', 'и|или|в|без|до|из|к|на|по|о|от|перед|при|через|с|у|за|над|об|под|про|для')?>" style="width:100%;">
							<div class="description">Слова, которые могут встречаться между словами фразы. Перечислить через знак | без пробелов. Например "и|или|на|в"</div>
						</td>
					</tr>
					<tr class="post_type">
						<th scope="row"><label>Выберите типы записей</label><br><a href="#" class="select-all">Выбрать все</a><br><a href="#" class="unselect-all">Отключить все</a></th>
						<td>
							<?php 
								$types = get_option('wp-mfc-linkator-post_type', array());
								foreach ($typepost as $key => $value) { ?>
								<label><input type="checkbox" name="post_type" value="<?php echo $value['post_type']?>"<?php echo (in_array('"'.$value['post_type'].'"', $types)? 'checked="checked"' : '')?>> &mdash; <?php echo $value['post_type']?></label><br>
							<?php } ?>
						</td>
					</tr>
					<tr class="categories">
						<th scope="row"><label>Выберите категории записей</label><br><a href="#" class="select-all-cat">Выбрать все</a><br><a href="#" class="unselect-all-cat">Отключить все</a></th>
						<td>
							<?php 
								$categories = get_option('wp-mfc-linkator-categories', array());
								foreach ($terms as $key => $value) { ?>
								<label><input type="checkbox" name="category" value="<?php echo $value['term_taxonomy_id']?>"<?php echo in_array($value['term_taxonomy_id'], $categories)? 'checked="checked"' : ''?>> &mdash; <?php echo $value['name']?></label><br>
							<?php } ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><label>Title ссылки</label></th>
						<td>
							<input type="text" name="title" value="<?php echo get_option('wp-mfc-linkator-title', '')?>" style="width:100%;">
						</td>
					</tr>
					<tr>
						<th scope="row"><label>URL Страницы для вставки</label></th>
						<td>
							<input type="text" name="href" value="<?php echo get_option('wp-mfc-linkator-href', '/')?>" style="width:100%;">
						</td>
					</tr>
					<tr>
						<th scope="row"><label>Добавить к ссылке</label></th>
						<td>
							<input type="checkbox" name="blank"<?php echo get_option('wp-mfc-linkator-blank', 0)? ' checked="checked"' : ''?>> target="_blank"
						</td>
					</tr>
					<tr>
						<th scope="row"><label>&nbsp;</label></th>
						<td>
							<input type="submit" value="Найти">
							<button name="hideLink">Скрыть записи с ссылками</button>
							<div class="loading">Идет поиск...</div>
						</td>
					</tr>
				</tbody>
			</table>
		</form>
		<hr>
		<div class="paginator"></div>
		<table id="linkator_table" class="table" width="100%" cellspacing="0">
			<thead>
				<tr>
					<th>№</th>
					<th>Тип/id</th>
					<th title="Количество исходящих ссылок на странице: Всего / с анктором">Ссылок</th>
					<th>Действия</th>
					<th>Заголовок</th>
				</tr>
			</thead>
			<tbody>
			</tbody>
		</table>
		<div class="paginator"></div>
	</div>
	<div class="right"></div>
</div>
<style>
	.form-table th{padding: 10px 10px 10px 0;}
	.form-table td{padding: 10px 0;}
</style>

<!--div class="bg_gray"></div-->
